﻿@model LoyaltyPointEngine.Model.Object.Incentive.IncentiveViewModel

@{
    ViewBag.Title = "Index";
}

<!--=== Page Header ===-->
<div class="page-header">
    <div class="page-title">
        <h3>SalesPerson</h3>
    </div>
</div>
<!-- /Page Header -->

<div class="row">
    <div class="col-md-12">
        <div class="widget">
            <div class="widget-header">
                <h4><i class="icon-reorder"></i> All SalesPerson</h4>
            </div>
            @using (Html.BeginForm())
            {
                @Html.AntiForgeryToken()
                <div class="widget-content">
                    <table class="table table-striped grid-table">
                        <thead>
                            <tr>
                                @*<th class="grid-header" title="Type"><div class="grid-header-title"><a data-url="@GenerateUrl(search, "Type", orderColumn, orderDirection, 0)">Type</a></div></th>*@
                                <th class="grid-header" title="SPG Code">
                                    <div class="grid-header-title">
                                        SPG Code
                                    </div>
                                </th>
                                <th class="grid-header" title="Month">
                                    <div class="grid-header-title">
                                        Month
                                    </div>
                                </th>
                                <th class="grid-header" title="No. First Submit">
                                    <div class="grid-header-title">
                                        No. First Submit
                                    </div>
                                </th>
                                <th class="grid-header" title="Incentive">
                                    <div class="grid-header-title">
                                        Incentive
                                    </div>
                                </th>
                                <th class="grid-header cell-center" title=""><div class="grid-header-title"><span></span></div></th>
                            </tr>
                        </thead>
                        <tbody>
                            @{if (Model != null)
                            {
                                int i = 0;
                                foreach (var obj in Model.ListIncentiveModel)
                                {
                                    <tr class="grid-row ">
                                        @Html.HiddenFor(x => x.ListIncentiveModel[i].ID)
                                        <td class="grid-cell" data-name="SpgCode">@Html.DisplayFor(x => x.ListIncentiveModel[i].SpgCode)</td>
                                        @Html.HiddenFor(x => x.ListIncentiveModel[i].SpgCode)
                                        @Html.HiddenFor(x => x.ListIncentiveModel[i].SpgId)
                                        <td class="grid-cell" data-name="MonthName">@Html.DisplayFor(x => x.ListIncentiveModel[i].MonthName)</td>
                                        @Html.HiddenFor(x => x.ListIncentiveModel[i].MonthName)
                                        @Html.HiddenFor(x => x.ListIncentiveModel[i].Month)
                                        @Html.HiddenFor(x => x.ListIncentiveModel[i].Year)
                                        <td class="grid-cell" data-name="NumberFirstSubmit">@Html.DisplayFor(x => x.ListIncentiveModel[i].NumberFirstSubmit)</td>
                                        @Html.HiddenFor(x => x.ListIncentiveModel[i].NumberFirstSubmit)
                                        <td class="grid-cell" data-name="IncentiveThisMonth">@Html.TextBoxFor(x => x.ListIncentiveModel[i].IncentiveThisMonth)</td>
                                        @*@{string isDisplay = obj.IsDisplayed == 1 ? "checked" : string.Empty; }*@
                                        <td class="grid-cell cell-center" data-name="IsDisplay">@Html.CheckBoxFor(x => x.ListIncentiveModel[i].IsDisplayed)</td>
                                    </tr>
                                    i++;
                                }
                            }
                            }
                        </tbody>
                    </table>
                </div>
                <!-- .box-content -->
                <div class="form-actions">
                    <input type="submit" value="Submit" class="btn btn-primary pull-right">
                </div>
            }
        </div>
        <!-- .box -->

    </div>
</div>



@section FooterScript{
    <script>
    (function () {
        var gridName = 'AllSalesPerson';
        var pagingUrl = '@Url.Action(MVC.SalesPerson.GridGetAllSPGPager())';

                $('.grid-mvc').gridmvc();
                pageGrids[gridName].ajaxify({
                    getData: pagingUrl,
                    getPagedData: pagingUrl,
                    gridFilterForm: $('#gridSeachSalesPerson')
                });
        }())

        $('.IsDisplay').click(function () {
            if($(this).is(':checked'))
            {

            }
            else
            {

            }
        });
    </script>

}